diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
index 6372ff6ac..6abad9248 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
@@ -81,26 +81,26 @@ public class HudIngame extends Gui
     {
         this.mc = minecraft;
         this.fontRenderer = this.mc.font;
-        this.heldItemTooltipElement = new HeldItemTooltipElement(mc);
+        this.heldItemTooltipElement = new HeldItemTooltipElement(this.mc);
     }
 
     public void renderGameOverlay(float partialTicks, boolean flag, int mouseX, int mouseY)
     {
-        if (mc.currentScreen instanceof ScreenPhotoMode) return;
+        if (this.mc.currentScreen instanceof ScreenPhotoMode) return;
 
         I18n stringtranslate = I18n.getInstance();
-        int width = mc.resolution.getScaledWidthScreenCoords();
-        int height = mc.resolution.getScaledHeightScreenCoords();
-        int sp = (int) ((mc.gameSettings.screenPadding.value * height) / 8);
-        mc.worldRenderer.setupScaledResolution();
+        int width = this.mc.resolution.getScaledWidthScreenCoords();
+        int height = this.mc.resolution.getScaledHeightScreenCoords();
+        int sp = (int) ((this.mc.gameSettings.screenPadding.value * height) / 8);
+        this.mc.worldRenderer.setupScaledResolution();
 
         GL11.glEnable(3042 /* GL_BLEND */);
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
 
         // Render vignette
-        if (mc.gameSettings.immersiveMode.drawVignette() && mc.gameSettings.vignette.value)
+        if (this.mc.gameSettings.immersiveMode.drawVignette() && this.mc.gameSettings.vignette.value)
         {
-            renderVignette(mc.thePlayer.getBrightness(partialTicks), width, height);
+            renderVignette(this.mc.thePlayer.getBrightness(partialTicks), width, height);
         }
 
         // Render pumpkin overlay
@@ -128,10 +128,10 @@ public class HudIngame extends Gui
         //Sleep Overlay
         Lighting.disable();
         GL11.glDisable(32826 /* GL_RESCALE_NORMAL_EXT */);
-          if (mc.thePlayer.getSleepTimer() > 0) {
+          if (this.mc.thePlayer.getSleepTimer() > 0) {
             GL11.glDisable(2929 /* GL_DEPTH_TEST */);
             GL11.glDisable(3008 /* GL_ALPHA_TEST */);
-            int i2 = mc.thePlayer.getSleepTimer();
+            int i2 = this.mc.thePlayer.getSleepTimer();
             float f3 = (float) i2 / 100F;
             if (f3 > 1.0F)
             {
@@ -144,20 +144,20 @@ public class HudIngame extends Gui
         }
 
         //Text Overlays
-        if (mc.gameSettings.immersiveMode.drawOverlays()) {
+        if (this.mc.gameSettings.immersiveMode.drawOverlays()) {
             drawRecordPlayingOverlay(width, height - sp, partialTicks);
 
             boolean clock = false;
             boolean compass = false;
             boolean rotaryCalendar = false;
 
-            if (mc.thePlayer.getGamemode() == Gamemode.creative) {
+            if (this.mc.thePlayer.getGamemode() == Gamemode.creative) {
                 clock = true;
                 compass = true;
                 rotaryCalendar = true;
             } else {
-                for (int iinv = 0; iinv < mc.thePlayer.inventory.getContainerSize(); iinv++) {
-                    ItemStack item = mc.thePlayer.inventory.getItem(iinv);
+                for (int iinv = 0; iinv < this.mc.thePlayer.inventory.getContainerSize(); iinv++) {
+                    ItemStack item = this.mc.thePlayer.inventory.getItem(iinv);
                     if (item != null) {
                         if (item.itemID == Items.TOOL_CLOCK.id) {
                             clock = true;
@@ -173,18 +173,18 @@ public class HudIngame extends Gui
             }
 
             // Show Player List
-            if (!mc.gameSettings.showDebugScreen.value) drawPlayerList(width, height, sp);
+            if (!this.mc.gameSettings.showDebugScreen.value) drawPlayerList(width, height, sp);
 
-            if (mc.gameSettings.showDebugScreen.value) {
+            if (this.mc.gameSettings.showDebugScreen.value) {
                 glPushMatrix();
                 glEnable(GL_BLEND);
                 glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
                 glScalef(DEBUG_SCALE, DEBUG_SCALE, 1);
 
-                debugLine = 0;
-                debugLineRight = 0;
-                debugOffset = 0;
-                debugOffsetRight = 0;
+                this.debugLine = 0;
+                this.debugLineRight = 0;
+                this.debugOffset = 0;
+                this.debugOffsetRight = 0;
 
                 long memMax = Runtime.getRuntime().maxMemory();
                 long memTotal = Runtime.getRuntime().totalMemory();
@@ -198,23 +198,22 @@ public class HudIngame extends Gui
                 drawDebugScreenLineRight("JRE: " + System.getProperty("java.version") + " (" + System.getProperty("java.vendor") + ")");
                 drawDebugScreenLineRight("LWJGL version: " + org.lwjgl.Version.getVersion());
 
-                debugOffsetRight += space;
+                this.debugOffsetRight += space;
 
                 drawDebugScreenLineRight(GL11.glGetString(GL11.GL_VENDOR));
                 drawDebugScreenLineRight(GL11.glGetString(GL11.GL_RENDERER));
                 drawDebugScreenLineRight(GL11.glGetString(GL11.GL_VERSION));
-                drawDebugScreenLineRight("Resolution: " + mc.gameWindow.getWidthPixels() + "x" + mc.gameWindow.getHeightPixels());
-                drawDebugScreenLineRight("Render Resolution: " + mc.renderer.getRenderWidth() + "x" + mc.renderer.getRenderHeight());
+                drawDebugScreenLineRight("Resolution: " + this.mc.gameWindow.getWidthPixels() + "x" + this.mc.gameWindow.getHeightPixels());
+                drawDebugScreenLineRight("Render Resolution: " + this.mc.renderer.getRenderWidth() + "x" + this.mc.renderer.getRenderHeight());
 
                 drawDebugScreenLine("Better than Adventure! " + Minecraft.VERSION);
-                drawDebugScreenLine(mc.lineDebug);
-                if (mc.terrainRenderer instanceof TerrainRendererMultiDraw) {
-                    TerrainRendererMultiDraw terrainRenderer = (TerrainRendererMultiDraw) mc.terrainRenderer;
+                drawDebugScreenLine(this.mc.lineDebug);
+                if (this.mc.terrainRenderer instanceof TerrainRendererMultiDraw terrainRenderer) {
 
                     int regionCount = terrainRenderer.regionBuffer.size();
 
-                    int playerX = MathHelper.floor(mc.thePlayer.x);
-                    int playerZ = MathHelper.floor(mc.thePlayer.z);
+                    int playerX = MathHelper.floor(this.mc.thePlayer.x);
+                    int playerZ = MathHelper.floor(this.mc.thePlayer.z);
 
 
                     List<RenderRegion> allRegions = terrainRenderer.regionBuffer.getAllRegions();
@@ -248,79 +247,79 @@ public class HudIngame extends Gui
                     drawDebugScreenLine("CR: " + currentRegion + " E: " + visibleEntries + "/" + totalEntries);
 
                 } else {
-                    drawDebugScreenLine(mc.getRendererDebugInfo());
+                    drawDebugScreenLine(this.mc.getRendererDebugInfo());
                 }
-                drawDebugScreenLine(mc.getEntityDebugInfoString());
-                drawDebugScreenLine(mc.getEntityCountsInfoString());
-                drawDebugScreenLine(mc.getChunkProviderInfoString());
+                drawDebugScreenLine(this.mc.getEntityDebugInfoString());
+                drawDebugScreenLine(this.mc.getEntityCountsInfoString());
+                drawDebugScreenLine(this.mc.getChunkProviderInfoString());
 
-                debugOffset += space;
-                debugOffsetRight += space;
+                this.debugOffset += space;
+                this.debugOffsetRight += space;
 
                 if (compass) {
-                    drawDebugScreenLine("X: " + mc.thePlayer.x);
-                    drawDebugScreenLine("Y: " + mc.thePlayer.y);
-                    drawDebugScreenLine("Z: " + mc.thePlayer.z);
+                    drawDebugScreenLine("X: " + this.mc.thePlayer.x);
+                    drawDebugScreenLine("Y: " + this.mc.thePlayer.y);
+                    drawDebugScreenLine("Z: " + this.mc.thePlayer.z);
 
-                    int chunkX = MathHelper.floor(mc.thePlayer.x) >> 4;
-                    int chunkZ = MathHelper.floor(mc.thePlayer.z) >> 4;
+                    int chunkX = MathHelper.floor(this.mc.thePlayer.x) >> 4;
+                    int chunkZ = MathHelper.floor(this.mc.thePlayer.z) >> 4;
 
                     drawDebugScreenLine("Chunk: " + chunkX + ", " + chunkZ);
 
-                    int yaw = DynamicTexture.pmod(java.lang.Math.round(mc.thePlayer.yRot), 360);
-                    int pitch = java.lang.Math.round(mc.thePlayer.xRot);
-                    drawDebugScreenLine("Facing: " + yaw + "°, " + pitch + "° (" + I18n.getInstance().translateKey(getFacingDirection(mc.thePlayer).getTranslationKey()) + ")");
+                    int yaw = DynamicTexture.pmod(java.lang.Math.round(this.mc.thePlayer.yRot), 360);
+                    int pitch = java.lang.Math.round(this.mc.thePlayer.xRot);
+                    drawDebugScreenLine("Facing: " + yaw + "°, " + pitch + "° (" + I18n.getInstance().translateKey(getFacingDirection(this.mc.thePlayer).getTranslationKey()) + ")");
                 } else {
                     drawDebugScreenLine("Hold a compass for more information");
                 }
 
                 if (clock) {
-                    if (!compass) debugOffset += space;
+                    if (!compass) this.debugOffset += space;
 
-                    int playerX = MathHelper.floor(mc.thePlayer.x);
-                    int playerY = MathHelper.floor(mc.thePlayer.y);
-                    int playerZ = MathHelper.floor(mc.thePlayer.z);
-                    drawDebugScreenLine("Light: Sky: " + mc.currentWorld.getSavedLightValue(LightLayer.Sky, playerX, playerY, playerZ) + " Block: " + mc.currentWorld.getSavedLightValue(LightLayer.Block, playerX, playerY, playerZ));
+                    int playerX = MathHelper.floor(this.mc.thePlayer.x);
+                    int playerY = MathHelper.floor(this.mc.thePlayer.y);
+                    int playerZ = MathHelper.floor(this.mc.thePlayer.z);
+                    drawDebugScreenLine("Light: Sky: " + this.mc.currentWorld.getSavedLightValue(LightLayer.Sky, playerX, playerY, playerZ) + " Block: " + this.mc.currentWorld.getSavedLightValue(LightLayer.Block, playerX, playerY, playerZ));
                 }
 
-                debugOffset += space;
+                this.debugOffset += space;
 
-                drawDebugScreenLine("Entities: " + mc.currentWorld.getLoadedEntityList().size());
-                drawDebugScreenLine("Tile Entities: " + mc.currentWorld.getLoadedTileEntityList().size());
+                drawDebugScreenLine("Entities: " + this.mc.currentWorld.getLoadedEntityList().size());
+                drawDebugScreenLine("Tile Entities: " + this.mc.currentWorld.getLoadedTileEntityList().size());
 
-                debugOffset += space;
+                this.debugOffset += space;
 
                 if (clock) {
-                    drawDebugScreenLine("Time: " + getTimeString(mc) + " (Day " + (mc.currentWorld.getWorldTime() / Global.DAY_LENGTH_TICKS) + ")");
+                    drawDebugScreenLine("Time: " + getTimeString(this.mc) + " (Day " + (this.mc.currentWorld.getWorldTime() / Global.DAY_LENGTH_TICKS) + ")");
                 } else {
                     drawDebugScreenLine("Hold a clock for more information");
                 }
 
-                debugOffset += space;
+                this.debugOffset += space;
 
                 if (rotaryCalendar) {
-                    Season season = mc.currentWorld.getSeasonManager().getCurrentSeason();
+                    Season season = this.mc.currentWorld.getSeasonManager().getCurrentSeason();
                     String seasonString = season != null ? season.getTranslatedName() : "None";
-                    Weather weather = mc.currentWorld.getCurrentWeather();
+                    Weather weather = this.mc.currentWorld.getCurrentWeather();
                     String weatherString = weather != null ? stringtranslate.translateKey(weather.getNameLanguageKey()) : "None";
 
-                    int blockX = MathHelper.floor(mc.thePlayer.x);
-                    int blockY = MathHelper.floor(mc.thePlayer.y);
-                    int blockZ = MathHelper.floor(mc.thePlayer.z);
+                    int blockX = MathHelper.floor(this.mc.thePlayer.x);
+                    int blockY = MathHelper.floor(this.mc.thePlayer.y);
+                    int blockZ = MathHelper.floor(this.mc.thePlayer.z);
 
                     drawDebugScreenLine("Season: " + seasonString);
-                    drawDebugScreenLine("Weather: " + weatherString + " (" + (mc.currentWorld.weatherManager.getWeatherDuration() / 20) + "s I: " + percentRound(mc.currentWorld.weatherManager.getWeatherIntensity()) + "% P: " + percentRound(mc.currentWorld.weatherManager.getWeatherPower()) + "%)");
-                    drawDebugScreenLine("Biome: " + Registries.BIOMES.getKey(mc.currentWorld.getBlockBiome(blockX, blockY, blockZ)));
+                    drawDebugScreenLine("Weather: " + weatherString + " (" + (this.mc.currentWorld.weatherManager.getWeatherDuration() / 20) + "s I: " + percentRound(this.mc.currentWorld.weatherManager.getWeatherIntensity()) + "% P: " + percentRound(this.mc.currentWorld.weatherManager.getWeatherPower()) + "%)");
+                    drawDebugScreenLine("Biome: " + Registries.BIOMES.getKey(this.mc.currentWorld.getBlockBiome(blockX, blockY, blockZ)));
 
-                    float temperature = (float) floor100(mc.currentWorld.getBlockTemperature(blockX, blockZ));
-                    float humidity = (float) floor100(mc.currentWorld.getBlockHumidity(blockX, blockZ));
+                    float temperature = (float) floor100(this.mc.currentWorld.getBlockTemperature(blockX, blockZ));
+                    float humidity = (float) floor100(this.mc.currentWorld.getBlockHumidity(blockX, blockZ));
 
                     drawDebugScreenLine("Temperature: " + temperature + " Humidity: " + humidity);
 
-                    WindProvider windProvider = mc.currentWorld.worldType.getWindManager();
+                    WindProvider windProvider = this.mc.currentWorld.worldType.getWindManager();
                     if (windProvider != null) {
-                        float direction = (float) floor100(windProvider.getWindDirection(mc.currentWorld, 0.0f, 500.0f, 0.0f));
-                        float intensity = (float) floor100(windProvider.getWindIntensity(mc.currentWorld, 0.0f, 500.0f, 0.0f));
+                        float direction = (float) floor100(windProvider.getWindDirection(this.mc.currentWorld, 0.0f, 500.0f, 0.0f));
+                        float intensity = (float) floor100(windProvider.getWindIntensity(this.mc.currentWorld, 0.0f, 500.0f, 0.0f));
 
                         int yaw = DynamicTexture.pmod(java.lang.Math.round((direction * 360.0f) + 270.0f), 360);
                         drawDebugScreenLine("Wind: " + yaw + "°, " + java.lang.Math.round(intensity * 100.0f) + "%");
@@ -329,24 +328,24 @@ public class HudIngame extends Gui
                     drawDebugScreenLine("Hold a rotary calendar for more information");
                 }
 
-                debugOffset += space;
+                this.debugOffset += space;
 
-                drawDebugScreenLine("Seed: " + mc.currentWorld.getRandomSeed());
+                drawDebugScreenLine("Seed: " + this.mc.currentWorld.getRandomSeed());
 
-                debugOffset += space;
+                this.debugOffset += space;
 
                 drawDebugScreenLine("CTRL + F3: Show Frametimes");
                 drawDebugScreenLine("F3 + Q: Show Keyboard Shortcuts");
 
-                if (mc.objectMouseOver instanceof HitResult.Tile hitTile) {
-                    debugOffset += space;
+                if (this.mc.objectMouseOver instanceof HitResult.Tile hitTile) {
+                    this.debugOffset += space;
 
-                    Block<?> block = Blocks.blocksList[mc.currentWorld.getBlockId(hitTile.tilePos)];
+                    Block<?> block = Blocks.blocksList[this.mc.currentWorld.getBlockId(hitTile.tilePos)];
                     if (block != null) {
                         drawDebugScreenLineRight("Looking at:");
 
                         String name;
-                        int meta = mc.currentWorld.getBlockData(hitTile.tilePos);
+                        int meta = this.mc.currentWorld.getBlockData(hitTile.tilePos);
                         try {
                             name = new ItemStack(block, 1, meta).getDisplayName();
                         } catch (Exception e) {
@@ -360,26 +359,26 @@ public class HudIngame extends Gui
                         drawDebugScreenLineRight(id);
 
                         if (compass) {
-                            drawDebugScreenLineRight("[" + hitTile.tilePos.x + ", " + hitTile.tilePos.y + ", " + hitTile.tilePos.z + "]");
+                            drawDebugScreenLineRight("[" + hitTile.tilePos.x() + ", " + hitTile.tilePos.y() + ", " + hitTile.tilePos.z() + "]");
                         }
 
-                        drawDebugScreenLineRight("Harvest: " + mc.thePlayer.canHarvestBlock(block));
+                        drawDebugScreenLineRight("Harvest: " + this.mc.thePlayer.canHarvestBlock(block));
 
                         if (clock) {
-                            int lightX = hitTile.tilePos.x;
-                            int lightY = hitTile.tilePos.y;
-                            int lightZ = hitTile.tilePos.z;
+                            int lightX = hitTile.tilePos.x();
+                            int lightY = hitTile.tilePos.y();
+                            int lightZ = hitTile.tilePos.z();
 
                             Side side = hitTile.side;
                             lightX += side.getOffsetX();
                             lightY += side.getOffsetY();
                             lightZ += side.getOffsetZ();
 
-                            drawDebugScreenLineRight("Light: Sky: " + mc.currentWorld.getSavedLightValue(LightLayer.Sky, lightX, lightY, lightZ) + " Block: " + mc.currentWorld.getSavedLightValue(LightLayer.Block, lightX, lightY, lightZ));
+                            drawDebugScreenLineRight("Light: Sky: " + this.mc.currentWorld.getSavedLightValue(LightLayer.Sky, lightX, lightY, lightZ) + " Block: " + this.mc.currentWorld.getSavedLightValue(LightLayer.Block, lightX, lightY, lightZ));
                         }
 
-                        drawDebugScreenLineRight("Signal: " + mc.currentWorld.hasSignal(hitTile.tilePos, hitTile.side));
-                        drawDebugScreenLineRight("Direct signal: " + mc.currentWorld.hasDirectSignal(hitTile.tilePos, hitTile.side));
+                        drawDebugScreenLineRight("Signal: " + this.mc.currentWorld.hasSignal(hitTile.tilePos, hitTile.side));
+                        drawDebugScreenLineRight("Direct signal: " + this.mc.currentWorld.hasDirectSignal(hitTile.tilePos, hitTile.side));
 
                         for (Tag<Block<?>> tag : BlockTags.TAG_LIST) {
                             if (tag.appliesTo(block)) {
@@ -392,13 +391,13 @@ public class HudIngame extends Gui
             }
         }
 
-        if (mc.gameSettings.immersiveMode.drawChat())
+        if (this.mc.gameSettings.immersiveMode.drawChat())
         {
         	drawChat(width, height, sp);
         }
         
         // Adding this mostly to see if the stitcher and dynamic textures are working properly
-        if (mc.gameSettings.keyToggleTextureAtlas.isPressed()) {
+        if (this.mc.gameSettings.keyToggleTextureAtlas.isPressed()) {
             Tessellator tessellator = Tessellator.instance;
 
             TextureRegistry.blockAtlas.bind();
@@ -458,9 +457,9 @@ public class HudIngame extends Gui
     private void drawDebugScreenLine(final CharSequence string, final boolean right, final int line, final int offset)
     {
         int width = MathHelper.ceil(this.fontRenderer.stringWidthDouble(string));
-        int height = debugLineHeight;
-        int x = right ? (int) ((mc.resolution.getScaledWidthScreenCoords() / DEBUG_SCALE) - width - 2) : 2;
-        int y = 3 + line * debugLineHeight + offset;
+        int height = this.debugLineHeight;
+        int x = right ? (int) ((this.mc.resolution.getScaledWidthScreenCoords() / DEBUG_SCALE) - width - 2) : 2;
+        int y = 3 + line * this.debugLineHeight + offset;
 
         glDisable(GL_TEXTURE_2D);
         glColor4d(0.2, 0.2, 0.2, 0.6);
@@ -490,16 +489,15 @@ public class HudIngame extends Gui
 
     public void drawPlayerList(int screenWidth, int screenHeight, int screenPadding)
     {
-        if (!mc.isMultiplayerWorld()) return;
-        if (mc.gameSettings.playerListPosition.value == 1)
+        if (!this.mc.isMultiplayerWorld()) return;
+        if (this.mc.gameSettings.playerListPosition.value == 1)
         {
-            mc.gameSettings.showPlayerList.value = mc.gameSettings.keyPlayerList.isPressed() && mc.currentScreen == null;
+            this.mc.gameSettings.showPlayerList.value = this.mc.gameSettings.keyPlayerList.isPressed() && this.mc.currentScreen == null;
         }
-        if (!mc.gameSettings.showPlayerList.value) return;
+        if (!this.mc.gameSettings.showPlayerList.value) return;
 
-        if (!(mc.thePlayer instanceof PlayerLocalMultiplayer)) return;
+        if (!(this.mc.thePlayer instanceof PlayerLocalMultiplayer player)) return;
 
-        PlayerLocalMultiplayer player = (PlayerLocalMultiplayer) mc.thePlayer;
         HashMap<String, String> players = player.sendQueue.playerList;
 
 //		List<PlayerProfile> players = new ArrayList<>();
@@ -512,14 +510,14 @@ public class HudIngame extends Gui
         int longestNameWidth = 0;
         int longestScoreWidth = 0;
 
-        playerListScoreStrings.clear();
+        this.playerListScoreStrings.clear();
 
         for (Map.Entry<String, String> a1 : players.entrySet())
         {
             longestNameWidth = Math.max(MathHelper.ceil(this.fontRenderer.stringWidthDouble(a1.getKey())), longestNameWidth);
 
             longestScoreWidth = Math.max(MathHelper.ceil(this.fontRenderer.stringWidthDouble(a1.getValue())), longestScoreWidth);
-            playerListScoreStrings.add(a1.getValue());
+            this.playerListScoreStrings.add(a1.getValue());
         }
 
         final int nameScoreSpace = 4;
@@ -538,16 +536,16 @@ public class HudIngame extends Gui
         int listX = 0;
         int listY = screenPadding;
 
-        if (mc.gameSettings.playerListPosition.value == 0)
+        if (this.mc.gameSettings.playerListPosition.value == 0)
         {
             listX = (screenWidth - width) / 2;
         }
-        if (mc.gameSettings.playerListPosition.value == 1)
+        if (this.mc.gameSettings.playerListPosition.value == 1)
         {
             listX = (screenWidth - width) / 2;
             listY = screenHeight / 6 + screenPadding;
         }
-        if (mc.gameSettings.playerListPosition.value == 2)
+        if (this.mc.gameSettings.playerListPosition.value == 2)
         {
             listX = screenWidth - width - screenPadding;
         }
@@ -562,7 +560,7 @@ public class HudIngame extends Gui
             int posX = listX + x * columnWidth + x * innerPadding + outerPadding;
             int posY = listY + y * lineHeight + y * innerPadding + outerPadding;
 
-            int scoreStringWidth = MathHelper.ceil(fontRenderer.stringWidthDouble(a2.getValue()));
+            int scoreStringWidth = MathHelper.ceil(this.fontRenderer.stringWidthDouble(a2.getValue()));
             drawRect(posX - 2, posY - 2, posX + columnWidth + 2, posY + 10, 0xffa5a5a5);
             drawRect(posX - 1, posY - 1, posX + columnWidth + 1, posY + 9, 0xA8080808);
             drawStringShadow(this.fontRenderer,a2.getKey(), posX, posY, 0xFFFFFF);
@@ -573,9 +571,9 @@ public class HudIngame extends Gui
 
     public void drawRecordPlayingOverlay(int width, int height, float partialTicks)
     {
-        if (recordPlayingUpFor > 0)
+        if (this.recordPlayingUpFor > 0)
         {
-            float f2 = (float) recordPlayingUpFor - partialTicks;
+            float f2 = (float) this.recordPlayingUpFor - partialTicks;
             int j3 = (int) ((f2 * 256F) / 20F);
             if (j3 > 255)
             {
@@ -588,11 +586,11 @@ public class HudIngame extends Gui
                 GL11.glEnable(3042 /* GL_BLEND */);
                 GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
                 int k4 = 0xffffff;
-                if (colorString)
+                if (this.colorString)
                 {
                     k4 = Color.HSBtoRGB(f2 / 50F, 0.7F, 0.6F) & 0xffffff;
                 }
-                drawStringNoShadow(this.fontRenderer, recordPlaying, MathHelper.ceil(-fontRenderer.stringWidthDouble(recordPlaying) / 2), -4, k4 + (j3 << 24));
+                drawStringNoShadow(this.fontRenderer, this.recordPlaying, MathHelper.ceil(-this.fontRenderer.stringWidthDouble(this.recordPlaying) / 2), -4, k4 + (j3 << 24));
                 GL11.glDisable(3042 /* GL_BLEND */);
                 GL11.glPopMatrix();
             }
@@ -601,21 +599,21 @@ public class HudIngame extends Gui
 
     public void drawChat(int width, int height, int sp)
     {
-        if (mc.gameSettings.chatVisibility.value == ChatVisibility.NEVER_SHOW) return;
+        if (this.mc.gameSettings.chatVisibility.value == ChatVisibility.NEVER_SHOW) return;
 //        if(mc.currentScreen instanceof ScreenChat && ((ScreenChat) mc.currentScreen).message.startsWith("/")) return;
         int linesToShow = 10;
         boolean ignoreFadeout = false;
-        if (mc.currentScreen instanceof ScreenChat)
+        if (this.mc.currentScreen instanceof ScreenChat)
         {
             int acceptableSize = height - 48 - 48;
             linesToShow = acceptableSize / 9;
             ignoreFadeout = true;
-        } else if (mc.gameSettings.chatVisibility.value == ChatVisibility.SHOW_WHEN_CHATTING) {
+        } else if (this.mc.gameSettings.chatVisibility.value == ChatVisibility.SHOW_WHEN_CHATTING) {
             return;
         }
 
-        if (chatScroll > chatMessageList.size() - linesToShow) chatScroll = chatMessageList.size() - linesToShow;
-        if (chatScroll < 0) chatScroll = 0;
+        if (this.chatScroll > this.chatMessageList.size() - linesToShow) this.chatScroll = this.chatMessageList.size() - linesToShow;
+        if (this.chatScroll < 0) this.chatScroll = 0;
 
         GL11.glEnable(GL_BLEND);
         GL11.glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
@@ -697,7 +695,7 @@ public class HudIngame extends Gui
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         GL11.glDisable(3008 /* GL_ALPHA_TEST */);
-        mc.textureManager.loadTexture("/assets/minecraft/textures/misc/pumpkinblur.png").bind();
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/misc/pumpkinblur.png").bind();
         Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(0.0D, ySize, -90D, 0.0D, 1.0D);
@@ -714,12 +712,12 @@ public class HudIngame extends Gui
     protected void renderVignette(float intensity, int xSize, int ySize)
     {
         intensity = MathHelper.clamp(1.0f - intensity, 0.0f, 1.0f);
-        prevVignetteBrightness += (double) (intensity - prevVignetteBrightness) * 0.01D;
+        this.prevVignetteBrightness += (double) (intensity - this.prevVignetteBrightness) * 0.01D;
         GL11.glDisable(2929 /* GL_DEPTH_TEST */);
         GL11.glDepthMask(false);
         GL11.glBlendFunc(0, 769);
-        GL11.glColor4f(prevVignetteBrightness, prevVignetteBrightness, prevVignetteBrightness, 1.0F);
-        mc.textureManager.loadTexture("/assets/minecraft/textures/misc/vignette.png").bind();
+        GL11.glColor4f(this.prevVignetteBrightness, this.prevVignetteBrightness, this.prevVignetteBrightness, 1.0F);
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/misc/vignette.png").bind();
         Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(0.0D, ySize, -90D, 0.0D, 1.0D);
@@ -746,7 +744,7 @@ public class HudIngame extends Gui
         GL11.glDepthMask(false);
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
         GL11.glColor4f(1.0F, 1.0F, 1.0F, intensity);
-        IconCoordinate portal = BlockModelDispatcher.getInstance().getDispatch(Blocks.getBlock(mc.thePlayer.portalID)).getOverlayTexture(mc.thePlayer.portalColor.blockMeta << 4 | BlockLogicPortal.MASK_COLOR_SET);
+        IconCoordinate portal = BlockModelDispatcher.getInstance().getDispatch(Blocks.getBlock(this.mc.thePlayer.portalID)).getOverlayTexture(this.mc.thePlayer.portalColor.blockMeta << 4 | BlockLogicPortal.MASK_COLOR_SET);
         portal.parentAtlas.bind();
         float f1 = (float) portal.getIconUMin();
         float f2 = (float) portal.getIconVMin();
@@ -767,12 +765,12 @@ public class HudIngame extends Gui
 
     public void updateTick()
     {
-        if (recordPlayingUpFor > 0)
+        if (this.recordPlayingUpFor > 0)
         {
-            recordPlayingUpFor--;
+            this.recordPlayingUpFor--;
         }
-        updateCounter++;
-        for (ChatLine chatLine : chatMessageList) {
+        this.updateCounter++;
+        for (ChatLine chatLine : this.chatMessageList) {
             chatLine.updateCounter++;
         }
 
@@ -780,7 +778,7 @@ public class HudIngame extends Gui
 
     public void clearChatMessages()
     {
-        chatMessageList.clear();
+        this.chatMessageList.clear();
     }
 
     public void addChatMessage(final CharSequence s)
@@ -794,9 +792,9 @@ public class HudIngame extends Gui
 
     public void setRecordPlayingMessage(String s)
     {
-        recordPlaying = I18n.getInstance().translateKeyAndFormat("gui.ingame.label.now_playing", s);
-        recordPlayingUpFor = 60;
-        colorString = true;
+        this.recordPlaying = I18n.getInstance().translateKeyAndFormat("gui.ingame.label.now_playing", s);
+        this.recordPlayingUpFor = 60;
+        this.colorString = true;
     }
 
     public static Direction getFacingDirection(Player player)
